<xml xmlns="https://developers.google.com/blockly/xml"><block type="factory_base" id="|dY;~]B)GH]+)K?8-0g!" deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">file_sound</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="4{%ES%Rv1TW)z7u;2Kx_">
        <field name="INPUTNAME">sndbuf_var</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_static" id="WZ}GPcrqccJIIi^?D~{6">
            <field name="TEXT">Pista de audio</field>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="cYuF$*8]@VRgDOCb]JS*"></shadow>
          <block type="type_other" id="6ayhRtmUu+`)Feyh:FOs">
            <field name="TYPE">SndBuf</field>
          </block>
        </value>
        <next>
          <block type="input_value" id="S!OQk3+7D/.43a;rpUVr">
            <field name="INPUTNAME">path_file</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="K2RCaNrvU(cx9gKY6e;D">
                <field name="TEXT">asignar archivo</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="cYuF$*8]@VRgDOCb]JS*"></shadow>
              <block type="type_other" id="PhmI4*:fmmBeG5LBEFT4">
                <field name="TYPE">string</field>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="u0B]_7`r^aC3k@5,@{;D" deletable="false" movable="false">
        <field name="TEXT">A una pista de audio representada por una variable asignar una ruta de un archivo de audio que está en el PC. sonido_de_audio.wav</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="l+rdY_MXggTi0ETe1,~V" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="Ey-|/WYTGowT,Md-]$z7"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="M.IffKf@qf9R$IDECAg7"></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="ecU6}-K4aP*nW`VOM5yo">
        <mutation colour="#a5805b"></mutation>
        <field name="HUE">30</field>
      </block>
    </value>
  </block><block type="factory_base" id="|dY;~]B)GH]+)K?8-0g!" deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">file_sound_gain</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="4{%ES%Rv1TW)z7u;2Kx_">
        <field name="INPUTNAME">sndbuf_var</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_static" id="WZ}GPcrqccJIIi^?D~{6">
            <field name="TEXT">Pista de audio</field>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="cYuF$*8]@VRgDOCb]JS*"></shadow>
          <block type="type_other" id="6ayhRtmUu+`)Feyh:FOs">
            <field name="TYPE">SndBuf</field>
          </block>
        </value>
        <next>
          <block type="input_value" id="S!OQk3+7D/.43a;rpUVr">
            <field name="INPUTNAME">gain</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="K2RCaNrvU(cx9gKY6e;D">
                <field name="TEXT">volumen</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="cYuF$*8]@VRgDOCb]JS*"></shadow>
              <block type="type_group" id="D]s4[YORAWdW6b~O1q.N">
                <mutation types="2"></mutation>
                <value name="TYPE0">
                  <block type="type_other" id="HsZZV_Q*}FQS$Mb)^Xzu">
                    <field name="TYPE">int</field>
                  </block>
                </value>
                <value name="TYPE1">
                  <block type="type_other" id="=ia0Tt009+g[x,k^g1CP">
                    <field name="TYPE">float</field>
                  </block>
                </value>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="u0B]_7`r^aC3k@5,@{;D" deletable="false" movable="false">
        <field name="TEXT">A una pista de audio representada por una variable tipo archivo asignar un volumen entre 0 a 1, ejemplo, 0.1, 0.5.</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="l+rdY_MXggTi0ETe1,~V" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="Ey-|/WYTGowT,Md-]$z7"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="M.IffKf@qf9R$IDECAg7"></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="ecU6}-K4aP*nW`VOM5yo">
        <mutation colour="#a5805b"></mutation>
        <field name="HUE">30</field>
      </block>
    </value>
  </block><block type="factory_base" id="|dY;~]B)GH]+)K?8-0g!" deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">file_sound_pos_play</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="4{%ES%Rv1TW)z7u;2Kx_">
        <field name="INPUTNAME">sndbuf_var</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_static" id="WZ}GPcrqccJIIi^?D~{6">
            <field name="TEXT">Pista de audio</field>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="cYuF$*8]@VRgDOCb]JS*"></shadow>
          <block type="type_other" id="6ayhRtmUu+`)Feyh:FOs">
            <field name="TYPE">SndBuf</field>
          </block>
        </value>
        <next>
          <block type="input_value" id="S!OQk3+7D/.43a;rpUVr">
            <field name="INPUTNAME">pos</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="K2RCaNrvU(cx9gKY6e;D">
                <field name="TEXT">Iniciar desde</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="cYuF$*8]@VRgDOCb]JS*"></shadow>
              <block type="type_group" id="D]s4[YORAWdW6b~O1q.N">
                <mutation types="2"></mutation>
                <value name="TYPE0">
                  <block type="type_other" id="HsZZV_Q*}FQS$Mb)^Xzu">
                    <field name="TYPE">int</field>
                  </block>
                </value>
                <value name="TYPE1">
                  <block type="type_other" id="=ia0Tt009+g[x,k^g1CP">
                    <field name="TYPE">float</field>
                  </block>
                </value>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="u0B]_7`r^aC3k@5,@{;D" deletable="false" movable="false">
        <field name="TEXT">A una pista de audio representada por una variable tipo archivo iniciar desde la posición de una muestra (sample), ejemplo: 0</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="l+rdY_MXggTi0ETe1,~V" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="Ey-|/WYTGowT,Md-]$z7"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="M.IffKf@qf9R$IDECAg7"></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="ecU6}-K4aP*nW`VOM5yo">
        <mutation colour="#a5805b"></mutation>
        <field name="HUE">30</field>
      </block>
    </value>
  </block></xml>